cadaver (0.28+dfsg-1) unstable; urgency=medium

  * Switch to d/watch v5
  * Trim trailing whitespace
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse
  * Update FSF address in d/copyright
  * Exclude lib/glob
  * Exclude unused lib/* files
  * New upstream version 0.28+dfsg
  * Update debian/docs
  * Refresh patches
  * Add patch to build without bundled glob

 -- Arnaud Rebillout <arnaudr@debian.org>  Mon, 10 Nov 2025 11:28:17 +0700

cadaver (0.26+dfsg-2) unstable; urgency=medium

  * Fix autopkgtests

 -- Arnaud Rebillout <arnaudr@kali.org>  Fri, 20 Dec 2024 00:07:25 +0700

cadaver (0.26+dfsg-1) unstable; urgency=medium

  * Update Files-Excluded list in d/copyright
  * New upstream version 0.26+dfsg (Closes: #1090198)
  * Update years in d/copyright
  * Rework the patch series
  * Drop libxml2-dev build depend
  * Drop mkdir_p hack in d/rules
  * Drop obsolete stanzas in d/copyright

 -- Arnaud Rebillout <arnaudr@kali.org>  Thu, 19 Dec 2024 21:57:11 +0700

cadaver (0.24+dfsg-4) unstable; urgency=medium

  * Drop Build-Dependency: libgcrypt20-dev (Closes: #1071836)

 -- Arnaud Rebillout <arnaudr@kali.org>  Thu, 30 May 2024 16:16:29 +0700

cadaver (0.24+dfsg-3) unstable; urgency=medium

  * Revert "Drop the patch on the man page"
  * Add patch to support neon 33 (Closes: #1064683)

 -- Arnaud Rebillout <arnaudr@kali.org>  Mon, 26 Feb 2024 10:12:56 +0700

cadaver (0.24+dfsg-2) unstable; urgency=medium

  * Add generated files to debian/clean
  * Use patches (instead of d/rules) to tweak build system
  * Ignore changes on po/Makefile.in.in
  * Bump Standards-Version to 4.6.2 (no changes needed)
  * Closes: #1043806

 -- Arnaud Rebillout <arnaudr@kali.org>  Tue, 15 Aug 2023 22:33:44 +0700

cadaver (0.24+dfsg-1) unstable; urgency=medium

  * Update Build-Depends
  * Rules-Requires-Root: no
  * Update upstream homepage
  * Update watch file
  * Rewrite debian/rules entirely
  * Drop LIBS=-libgcrypt from configure options
  * Make sure that we don't build against embedded copies
  * Drop the patch on the man page
  * Allow building with more recent versions of libneon (Jan Nordholz)
  * Fix quoting issues (Jan Nordholz) (Closes: #333431, #783052)
  * Add a basic smoke test
  * Make myself maintainer, update vcs urls (Closes: #1004421)
  * Drop Build-Depends autotools-dev
  * Rewrite the debian/copyright file to be machine-readable, exclude lib/*
  * New upstream version 0.24+dfsg (Closes: #605121, #879882, #949059)
  * Packaging updates to match upstream changes
  * Drop patches applied upstream
  * Drop patch that *might* not be needed anymore
  * Fix .gmo files not being installed
  * Bump Standards-Version, last nitpicks in d/rules

 -- Arnaud Rebillout <arnaudr@kali.org>  Mon, 31 Oct 2022 12:38:34 +0700

cadaver (0.23.3-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Migrated to DebSrc 3.0. Consequently:
      - debian/README.source: removed because the content of this file is a
        disclaimer about dpatch.
      - debian/source/options: created to ignore changes in config.guess and
        config.sub.
      - Migrated the current patch from dpatch to quilt.
      - Closes: #668477
  * Using new DH level format. Consequently:
      - debian/compat: removed.
      - debian/control: changed from 'debhelper' to 'debhelper-compat' in
        Build-Depends field and bumped level to 13.
      - debian/rules: using 'dh_prep' instead of 'dh_clean -k' because the
        '-k' option is not supported since compat 12.
      - Closes: #965443

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Fri, 15 Apr 2022 21:27:34 -0300

cadaver (0.23.3-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * B-d on libgcrypt20-dev instead of (dummy transition package)
    libgcrypt11-dev. Closes: #864095

 -- Andreas Metzler <ametzler@debian.org>  Sat, 27 Oct 2018 11:39:57 +0200

cadaver (0.23.3-2) unstable; urgency=low

  * debian/control, debian/rules:
    - Explicitly build-depend and link against libgcrypt. The function is used
      by cadaver directly, causing a build failure with current build tools.
      Thanks to David Suárez for reporting this (Closes: #720800).
  * debian/control:
    - Bumped standards-version to 3.9.4.
    - Let cadaver depend on ${misc:Depends}.
  * debian/rules:
    - Added build-arch and build-indep targets.

 -- Sebastian Harl <tokkee@debian.org>  Sat, 23 Nov 2013 16:27:43 +0100

cadaver (0.23.3-1) unstable; urgency=low

  * New upstream version:
    - Added support for pkg-config when checking for gnutls to configure -
      recent versions of gnutls no longer provide libgnutls-config which was
      used previously for those checks; thanks to Lucas Nussbaum and Peter
      Fritzsche for reporting this (Closes: #549797, #554041).
    - Added full support for large files (> 2GB); thanks to Andreas
      Unterkircher for reporting this (Closes: #529564).
  * debian/control:
    - Added libreadline-dev as the preferred option to the libreadline5-dev
      build-dependency; thanks to Matthias Klose for reporting this
      (Closes: #553736).
    - Updated Standards-Version to 3.8.3 - no changes.
  * Added debian/README.source:
    - The file includes a pointer to /usr/share/doc/dpatch/README.source.gz.
  * debian/patches:
    - Updated manpage_hyphen.dpatch.

 -- Sebastian Harl <tokkee@debian.org>  Sat, 26 Dec 2009 16:27:06 +0100

cadaver (0.23.2-1) unstable; urgency=low

  * New upstream version.
  * Moved "Homepage" field from package description to the source stanza.
    - Added a versioned build dependency on dpkg-dev (>= 1.14.6).
  * Updated neon build dependency to libneon27-gnutls-dev (>= 0.28) - older
    versions are no longer supported.
  * Updated standards-version to 3.8.0 - no changes.
  * Removed alternate build-dependency on libxml-dev (Closes: #475552).
  * Remove generated .gmo-files from po/ in the "clean" target to ensure clean
    double-builds.
  * Added debian/patches/manpage_hyphen.dpatch to replace hyphens with minus
    signs in the manpage.

 -- Sebastian Harl <sh@tokkee.org>  Fri, 25 Jul 2008 20:21:42 +0200

cadaver (0.23.0-1) unstable; urgency=low

  * New upstream version.
  * Updated neon build dependency to libneon27-gnutls-dev.
  * Changed menu section to "Applications/Network/File Transfer" to comply
    with the new hierarchy.
  * Added Vcs-Git and Vcs-Browser fields.

 -- Sebastian Harl <sh@tokkee.org>  Mon, 29 Oct 2007 23:20:51 +0100

cadaver (0.22.5-2) unstable; urgency=low

  * Reupload to unstable.

 -- Sebastian Harl <sh@tokkee.org>  Thu,  7 Jun 2007 16:10:48 +0000

cadaver (0.22.5-1) experimental; urgency=low

  * New upstream release.
    - Fixes CVE-2007-0157 in the included neon sources which, however, is not
      relevant for this package as it uses the external neon package.
  * Removed netrc.dpatch - has been merged upstream.

 -- Sebastian Harl <sh@tokkee.org>  Thu,  8 Feb 2007 11:05:45 +0000

cadaver (0.22.4-1) experimental; urgency=low

  * New upstream release.
  * Upload to experimental because of Etch freeze.
  * Link against libneon26-gnutls:
    - Enabled GnuTLS support (Closes: #163583, #186738, #247374).
    - Replaced libneon25-dev build dependency with libneon26-gnutls-dev.
  * Added patches/netrc.dpatch: Document the .netrc file support in the manpage
    (Closes: #397735).
  * Added watch file.
  * Upstream no longer provides a debian/ directory. Thus repackaging is not
    required any longer.

 -- Sebastian Harl <sh@tokkee.org>  Mon,  8 Jan 2007 14:48:42 +0000

cadaver (0.22.3+debian-1) unstable; urgency=low

  * New upstream release (Closes: #390017).
  * New maintainer (Closes: #174071).
  * Acknowledge NMU (thanks Andreas Barth):
    - These bugs have also been fixed in the new upstream release.
  * Use packaged libneon25 (Closes: #188381):
    - Replaced libssl-dev build dependency with libneon25-dev
      (Closes: #315702).
  * Rewrote rules to use debhelper instead of debmake (Closes: #372962).
  * Rewrote copyright to correctly list all copyright holders and licenses:
    - Some files in m4/ do not contain copyright information - upstream has
      been asked to correct this.
  * Removed upstream's debian/ directory from .orig.tar.gz.
  * Updated standards version to 3.7.2.
  * Set compatibility level to 5.
  * GnuTLS support will be available in the next upstream release.

 -- Sebastian Harl <sh@tokkee.org>  Wed,  1 Nov 2006 08:07:24 +0000

cadaver (0.22.2-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix FTBFS with gcc-4.0. Closes: #258559, #294290.

 -- Andreas Barth <aba@not.so.argh.org>  Sun, 31 Jul 2005 08:56:22 +0200

cadaver (0.22.2-1) unstable; urgency=low

  * new upstream version
  * this is the official fix for
    libneon 0.24.6 [src/ne_dates.c, CAN-2004-0398]
  * removed strange gcc option -Wimplicit-prototypes (may fix #258559)

 -- Bernd Eckenfels <ecki@debian.org>  Thu, 23 Sep 2004 00:34:58 +0200

cadaver (0.22.1-3) unstable; urgency=high

  * Applied part of an upstream patch by Joe Orton <joe@manyfish.co.uk> to
    correct the weekdays buffer to properly fix a potential stack overflow
    via revision date in REPORT query [src/ne_dates.c, CAN-2004-0398]

 -- Bernd Eckenfels <ecki@debian.org>  Tue, 18 May 2004 14:30:34 +0200

cadaver (0.22.1-2) unstable; urgency=high

  * new upstream version (Closes: Bug #215952)
  * fixes format string vulnerability in libneon. (Closes: Bug #244113)

 -- Bernd Eckenfels <ecki@debian.org>  Sat, 17 Apr 2004 03:04:40 +0200

cadaver (0.21.0-1) unstable; urgency=low

  * new upstream version
  * still no GNU TLS Support. Porters welcome

 -- Bernd Eckenfels <ecki@debian.org>  Wed, 26 Feb 2003 04:08:11 +0100

cadaver (0.20.5-3) unstable; urgency=low

  * Merry X-MESS Edition II
  * fixed description (no SSL support)

 -- Bernd Eckenfels <ecki@debian.org>  Thu, 20 Feb 2003 23:01:55 +0100

cadaver (0.20.5-2) unstable; urgency=low

  * Merry X-MESS Edition
  * remove SSL support (Closes: Bug #163583)
    NOTE: I RFA-ed this package, if you port it o GNU TLS you get it!

 -- Bernd Eckenfels <ecki@debian.org>  Mon, 23 Dec 2002 17:37:10 +0100

cadaver (0.20.5-1) unstable; urgency=low

  * new upstream version (Closes: Bug #156829, #131307)
  * enable .netrc usage (Closes: Bug #142440)

 -- Bernd Eckenfels <ecki@debian.org>  Sat, 28 Sep 2002 23:34:19 +0200

cadaver (0.20.4-1) unstable; urgency=low

  * new upstream version (Closes: Bug #156829)
  * moved to main (from non-us)

 -- Bernd Eckenfels <ecki@debian.org>  Thu, 15 Aug 2002 23:50:37 +0200

cadaver (0.18.0-2) unstable; urgency=low

  * some changes to ensure a more stable build
    (this restricts builds to my default build environment)
  * use internal expat always and do note build depend on it
  * use libxml2-dev in favor of old libxml-dev
  * enforce internal libneon only (0.16)

 -- Bernd Eckenfels <ecki@debian.org>  Sat,  5 Jan 2002 03:19:48 +0100

cadaver (0.18.0-1) unstable; urgency=low

  * new upstream version
  * recompile is supposed to fix Bug #110878, 110879
  * new standards version 3.1.1 -> 3.5.6
  * configure now checks for DEB_BUILD_OPTIONS (ugly!)
  * removed INSTALLING to make lintian totally happy

 -- Bernd Eckenfels <ecki@debian.org>  Sun,  8 Apr 2001 00:02:43 +0200

cadaver (0.17.0-4) unstable; urgency=low

  * added build dependencies which fixes Bug #93233 (debmake)
  * added some more cleaning

 -- Bernd Eckenfels <ecki@debian.org>  Sun,  8 Apr 2001 00:02:43 +0200

cadaver (0.17.0-3) unstable; urgency=low

  * added build dependencies which fixes Bug #92658 (libxmltok1-dev,
    libexpat1-dev)

 -- Bernd Eckenfels <ecki@debian.org>  Thu,  5 Apr 2001 04:13:49 +0200

cadaver (0.17.0-2) unstable; urgency=low

  * changed build dependency on libssl-dev (#90389)

 -- Bernd Eckenfels <ecki@debian.org>  Mon,  2 Apr 2001 02:11:20 +0200

cadaver (0.17.0-1) unstable; urgency=low

  * new upstream version (fixes bug #86067)
  * added --with-ssl --enable-warnings to configure
  * added -isp to gencontrol to make lintian happy
  * moved to non-US/main/web since it uses SSL

 -- Bernd Eckenfels <ecki@debian.org>  Thu,  1 Mar 2001 04:51:23 +0100

cadaver (0.13.3-1) unstable; urgency=low

  * new upstream version (fixed bug #61050)

 -- Bernd Eckenfels <ecki@debian.org>  Sat, 22 Jul 2000 06:25:02 +0200


cadaver (0.9.0-1) unstable; urgency=low

  * added some rm-s to the rules file
  * the created Makefile does not support CFLAGS=.. removed from rules
  * Initial release.

 -- Bernd Eckenfels <ecki@lina.inka.de>  Thu,  6 Jan 2000 09:39:32 +0100

